# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | List of all members
dirac::DecoderParams Class Reference

Parameters for the decoding process. More...

`#include <common.h>`

Inheritance diagram for dirac::DecoderParams:
[legend]
Collaboration diagram for dirac::DecoderParams:
[legend]

## Public Member Functions
| DecoderParams (const VideoFormat &video_format=VIDEO_FORMAT_CIF, PictureType ftype=INTRA_PICTURE, unsigned int num_refs=0, bool set_defaults=false)
| Default constructor. More...
bool | Verbose () const
| Returns true if we're operating verbosely, false otherwise. More...
void | SetVerbose (bool v)
| Sets verbosity on or off. More...
Public Member Functions inherited from dirac::CodecParams
| CodecParams (const VideoFormat &video_format=VIDEO_FORMAT_CUSTOM, PictureType ftype=INTRA_PICTURE, unsigned int num_refs=0, bool set_defaults=true)
| Default constructor. More...
int | PictureCodingMode () const
| Returns the picture coding mode (independent of source format) More...
bool | FieldCoding () const
| Returns true if the pictures are being coded as fields (mode 1 or 3) More...
bool | TopFieldFirst () const
| Returns true if the topmost field comes first in time when coding. More...
int | Xl () const
| Return the picture/field luma width. More...
int | Yl () const
| Return the picture/field luma height. More...
int | ChromaXl () const
| Return the picture/field chroma width. More...
int | ChromaYl () const
| Return the picture/field chroma height. More...
unsigned int | LumaDepth () const
| Returns the luma depth. More...
unsigned int | ChromaDepth () const
| Returns the chroma depth. More...
bool | ZeroTransform () const
| Return zero transform flag being used for picture (de)coding. More...
WltFilter | TransformFilter () const
| Return the wavelet filter currently being used for picture (de)coding. More...
unsigned int | TransformDepth () const
| Return the transform depth being used for picture (de)coding. More...
CodeBlockMode | GetCodeBlockMode () const
| Return multiple quantisers flag being used for picture (de)coding. More...
bool | SpatialPartition () const
| Return the spatial partitioning flag being used for picture (de)coding. More...
const CodeBlocks & | GetCodeBlocks (unsigned int level) const
| Return the code blocks for a particular level. More...
VideoFormat | GetVideoFormat () const
| Return the video format currently being used for picture (de)coding. More...
PicturePredParams & | GetPicPredParams ()
| Return the picture prediction params. More...
const PicturePredParams & | GetPicPredParams () const
| Return the picture prediction params. More...
void | SetPictureCodingMode (int pic_coding)
| Sets whether input is coded as fields or quincunxially. More...
void | SetTopFieldFirst (bool topf)
| Sets whether the topmost field comes first in time [NB: TBD since this duplicates metadata in the sequence header]. More...
void | SetXl (const int x)
| Set the picture/field luma width. More...
void | SetYl (const int y)
| Set the picture/field luma height. More...
void | SetChromaXl (const int x)
| Set the frame/field chroma width. More...
void | SetChromaYl (const int y)
| Set the frame/field chroma height. More...
void | SetLumaDepth (unsigned int luma_depth)
| Set Luma Depth. More...
void | SetChromaDepth (unsigned int chroma_depth)
| Set Chroma Depth. More...
void | SetZeroTransform (bool zero_transform)
| Set the zero transform flag being used for picture (de)coding. More...
void | SetTransformFilter (const WltFilter wf)
| Set the wavelet filter used for picture (de)coding. More...
void | SetTransformFilter (unsigned int wf_idx)
| Set the wavelet filter used for picture (de)coding. More...
void | SetTransformDepth (unsigned int wd)
| Set the transform depth used for picture (de)coding and allocate for the code blocks array. More...
void | SetCodeBlockMode (unsigned int cb_mode)
| Set the multiple quantisers flag usedto picture (de)coding. More...
void | SetSpatialPartition (bool spatial_partition)
| Set the spatial partition flag usedto picture (de)coding. More...
void | SetCodeBlocks (unsigned int level, unsigned int hblocks, unsigned int vblocks)
| Set the number of code blocks for a particular level. More...
void | SetVideoFormat (const VideoFormat vd)
| Set the video format used for picture (de)coding. More...

## Private Attributes
bool | m_verbose
| Code/decode with commentary if true. More...

## Additional Inherited Members
Protected Member Functions inherited from dirac::CodecParams
WltFilter | TransformFilter (unsigned int wf_idx)
| Return the Wavelet filter associated with the wavelet index. More...

## Detailed Description

Parameters for the decoding process. Derived from CodecParams.

## Constructor & Destructor Documentation

## ◆ DecoderParams()

dirac::DecoderParams::DecoderParams | ( | const VideoFormat & | video_format = `VIDEO_FORMAT_CIF`,
|  | PictureType | ftype = `INTRA_PICTURE`,
|  | unsigned int | num_refs = `0`,
|  | bool | set_defaults = `false`
| ) |  |

## Member Function Documentation

## ◆ SetVerbose()

void dirac::DecoderParams::SetVerbose | ( | bool | v | ) |
| inline

References m_verbose.

## ◆ Verbose()

bool dirac::DecoderParams::Verbose | ( |  | ) | const
| inline

References m_verbose.

## Member Data Documentation

## ◆ m_verbose

bool dirac::DecoderParams::m_verbose
| private

Referenced by SetVerbose(), and Verbose().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.